
/**
 * InstruViewPlugin.java
 * Interface that must be implemented by all plugins.
 * Created: July 4, 2005
 *
 * @author Nathan Stevens
 * @version 0.1 7/13/2005
 */
import java.io.File;

public interface InstruViewPlugin {
  
  // Method to return information about this plugin
  public String[] getPluginInformation();
  
  // Method to add a single spectra data
  void addSpectraData(SpectraData sd);
  
  // Method to add a spectra data array
  void addSpectraData(SpectraData[] sda);
  
  // Method to load an sdl file
  void loadSDL(ExperimentData experimentData, File file);
  
  // Method to load an sdl file
  void loadSDL(ExperimentData experimentData);
  
  // Method to print out any messages
  void print(String message);
  
}// --end interface InstruViewPlugin
